<style type="text/css">
    html{ overflow-x:hidden;}
    .scrollsidebar{ position: fixed; bottom:1px; right:1px; background:none; }
    .side_content{width:154px; height:auto; overflow:hidden; float:left; }
    .side_content .side_list {width:154px;overflow:hidden;}
    .show_btn{ width:0; height:112px; overflow:hidden; float:left; margin-top:200px; cursor:pointer;}
    .show_btn span { display:none;}
    .close_btn{width:24px;height:24px;cursor:pointer;}
    .side_title,.side_bottom,.close_btn,.show_btn {background:url(/images/sidebar_bg.png) no-repeat; }
    .side_title {height:35px;}
    .side_bottom { height:8px;}
    .side_center {font-family:Verdana, Geneva, sans-serif; padding:0px 12px; font-size:12px;}
    .close_btn { float:right; display:block; width:21px; height:16px; margin:9px 10px 0 0; _margin:16px 5px 0 0;}
    .close_btn span { display:none;}
    .side_center .custom_service p { text-align:center; padding:6px 0; margin:0; vertical-align:middle;}
    .msgserver { margin:10px 0 0px 5px;}
    .msgserver a { background:url(/images/sidebar_bg.png) no-repeat -119px -110px; padding-left:22px; display:block; height:24px; }
    .opnionText{box-shadow:none; width:122px; height:180px; border-color: #DFDFDF; background:#fff; color:#999; padding:3px; font-size:12px;overflow:auto; background-attachment:fixed;border-style:solid;}
    a.opnionButton{ display:block; background:#269ac9; width:130px; height:26px; margin-top:5px; text-align:center; padding-top:0px; color:#fff;}
    a.opnionButton:hover{background: #297fb8; }
    /* blue skin as the default skin */
    .side_title {background-position:-195px 0;}
    .side_center {background:url(/images/blue_line.png) repeat-y center; }
    .side_bottom {background-position:-195px -50px;}
    .close_btn {background-position:-44px 0;}
    .close_btn:hover {background-position:-66px 0;}
    .show_btn {background-position:-119px 0;}
    .msgserver a {color:#269ac9; }
    .msgserver a:hover { text-decoration:underline; }
    .closeSidebar {background:url(/images/sidebar_bg.png) 0px -112px no-repeat; width:28px; height:18px; margin-top:65px; position:absolute;}
</style>

<head>
<script>
(function($){
    $.fn.fix = function(options){
        var defaults = {
            float : 'right',
			minStatue : true,
			skin : 'blue',
			durationTime : 1000
        };
        var options = $.extend(defaults, options);

        this.each(function(){
            //???????
			var thisBox = $(this),
				closeBtn = thisBox.find('.close_btn' ),
				show_btn = thisBox.find('.show_btn' ),
				sideContent = thisBox.find('.side_content'),
				sideList = thisBox.find('.side_list')
				;
			var defaultTop = thisBox.offset().top;	//????????top

			thisBox.css(options.float, 0);
			if(options.minStatue == "true"){
				$(".show_btn").css("float", options.float);
				sideContent.css('width', 0);
				show_btn.css('width', 29);

			}
			//close
			closeBtn.bind("click",function(){
				sideContent.animate({width: '0px'},"fast");
            	show_btn.stop(true, true).delay(300).animate({ width: '29px'},"fast");
            	cookiesave('minStatue','true','','','');
			});
			//show
			 show_btn.bind("click",function() {
	            $(this).animate({width: '0px'},"fast");
	            sideContent.stop(true, true).delay(200).animate({ width: '154px'},"fast");
	            cookiesave('minStatue','false','','','');
	        });



        });	//end this.each
    };
})(jQuery);


$(function(){
	$("#button1").click(function(){
		myTips("<%= l(:label_feedback_success) %>","success");
	});
});

function f_submit()
{
    $("#new_memo").submit();
}

function cookiesave(n, v, mins, dn, path)
{
    if(n)
    {

	    if(!mins) mins = 365 * 24 * 60;
		if(!path) path = "/";
	    var date = new Date();

	    date.setTime(date.getTime() + (mins * 60 * 1000));

	    var expires = "; expires=" + date.toGMTString();

	    if(dn) dn = "domain=" + dn + "; ";
	    document.cookie = n + "=" + v + expires + "; " + dn + "path=" + path;

    }
}
function cookieget(n)
{
    var name = n + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i<ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(name) == 0){
            return c.substring(name.length,c.length);}

	}
	return false;
}
</script>
</head>
<body>
<script type="text/javascript">
    $(function() {
        $("#scrollsidebar").fix({
            float : 'right',	//default.left or right
            minStatue : cookieget('minStatue'),
            skin : 'green',	//default.gray or blue
            durationTime : 600
        });
    });

    $(document).ready(function(){
        $("#subject").keydown(function(){
            var curLength=$("#subject").val().length;
            if(curLength>50){
                var num=$("#subject").val().substr(0,50);
                $("#subject").val(num);
            }
            else{
                $("#textCount").text(50-$("#subject").val().length)
            }
        })
        $("#subject").keyup(function(){
            var curLength=$("#subject").val().length;
            if(curLength>50){
                var num=$("#subject").val().substr(0,50);
                $("#subject").val(num);
            }
            else{
                $("#textCount").text(50-$("#subject").val().length)
            }
        })
    })

</script>
<div class="scrollsidebar" id="scrollsidebar" style="float: right">
    <div class="side_content">
        <div class="side_list">
            <div class="side_title"><a title="<%= l(:label_feedback) %>" class="close_btn"><span><%= l(:label_feedback) %></span></a></div>
            <div class="side_center">
                <div class="custom_service">
                  <% get_memo %>
                  <% if @public_forum %>
                      <%= form_for(@new_memo, :url => create_feedback_forum_path(@public_forum)) do |f|  %>
                          <%= f.text_area :subject,:id=>"subject", :class => "opnionText", :placeholder => l(:label_feedback_tips) %>
                          <%= f.hidden_field :content,:id => 'hidden', :required => true , :value => l(:label_feedback_value) %>
                          <%#= f.submit :value => l(:label_memo_create), :class => "opnionButton", :id => "button1" %>
                          <label class="c_grey">您还能输入<span id="textCount" class="c_orange">50</span>个字符</label>
                          <a href="javascript:void(0);" class="opnionButton" style=" color:#fff;" id="" onclick="f_submit();"><%= l(:label_submit)%></a>
                      <% end %>
                  <% end %>
                </div>
                <div class="msgserver">
                    <a target="hiddentab" href="http://wpa.qq.com/msgrd?v=1&uin=1554253403&site=qq&menu=yes" style="color: #15BCCF;">
                      <%= l(:label_technical_support) %>白&nbsp;&nbsp;&nbsp;羽</a>
                      <iframe name="hiddentab" style="display: none"></iframe>
                </div>
            </div>
            <div class="side_bottom"></div>
        </div>
    </div>
    <div class="show_btn">
      <%= l(:label_submit)%>
      <a href="#" class="closeSidebar"></a>
    </div>
</div>
</body>
